import logging
import os

from pythonjsonlogger import jsonlogger


# Logger settings
def get_logger(log_level):
    if log_level is None:
        log_level = os.environ.get("LOGLEVEL", "DEBUG").upper()

    logger = logging.getLogger()
    logger.setLevel(log_level)

    log_handler = logging.StreamHandler()
    formatter = jsonlogger.JsonFormatter()
    log_handler.setFormatter(formatter)

    if not logger.handlers:
        logger.addHandler(log_handler)

    return logger
