import logging

from mycroft.generate_org_maturity_list.gen_org_maturity_score_list import (
    generate_org_maturity_list_dataframe,
)


def gen_mature_org_list(
    region,
    envs,
    database,
    policy_override_table,
    policy_table,
    query_output_bucket,
    query_output_folder,
    query_output_location,
    start_time,
    end_time,
    # output_s3_bucket="s3://cdca-prod-us-east-1-intermediate-data/mature_org_db/",
    output_s3_bucket="s3://gdev4-policysuggestion-infra-intermediate-data-bucket/mature_org_db/",
):
    try:
        params = {
            "region": region,
            "database": database,
            "bucket": query_output_bucket,
            "outputBucket": query_output_bucket,
            "outputFolder": query_output_folder,
            "outputLocation": query_output_location,
        }
        org_maturity_df, org_maturity_score_df = generate_org_maturity_list_dataframe(
            params, envs, start_time, end_time, policy_override_table, policy_table
        )
        org_maturity_df.to_parquet(
            f"{output_s3_bucket}mature_org_list/org_maturity_list.parquet.gzip",
            compression="gzip",
        )
        org_maturity_score_df.to_parquet(
            f"{output_s3_bucket}/mature_org_score/org_maturity_score.parquet.gzip",
            compression="gzip",
        )
    except Exception as e:
        logging.error("Error in generate mature org list. Error Detail: %s", str(e))
